Index: trunk/src/lib/collision_detection/Makefile.am
===================================================================
--- trunk/src/lib/collision_detection/Makefile.am	(revision 5452)
+++ trunk/src/lib/collision_detection/Makefile.am	(revision 5463)
@@ -2,15 +2,15 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-pkglib_LTLIBRARIES = libORXcd.la
+noinst_LIBRARIES = libORXcd.a 
 
-libORXcd_la_SOURCES = cd_engine.cc \
-                      collision.cc \
-		      obb.cc \
-                      obb_tree.cc \
-		      obb_tree_node.cc \
-                      bv_tree.cc \
-		      bv_tree_node.cc \
-		      bounding_volume.cc \
-		      bounding_sphere.cc
+libORXcd_a_SOURCES = cd_engine.cc \
+                     collision.cc \
+		     obb.cc \
+                     obb_tree.cc \
+		     obb_tree_node.cc \
+                     bv_tree.cc \
+		     bv_tree_node.cc \
+		     bounding_volume.cc \
+		     bounding_sphere.cc
 
 
Index: trunk/src/lib/collision_detection/Makefile.in
===================================================================
--- trunk/src/lib/collision_detection/Makefile.in	(revision 5452)
+++ trunk/src/lib/collision_detection/Makefile.in	(revision 5463)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXcd_la_SOURCES)
+SOURCES = $(libORXcd_a_SOURCES)
 
 srcdir = @srcdir@
@@ -49,33 +49,30 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-am__installdirs = "$(DESTDIR)$(pkglibdir)"
-pkglibLTLIBRARIES_INSTALL = $(INSTALL)
-LTLIBRARIES = $(pkglib_LTLIBRARIES)
-libORXcd_la_LIBADD =
-am_libORXcd_la_OBJECTS = cd_engine.lo collision.lo obb.lo obb_tree.lo \
-	obb_tree_node.lo bv_tree.lo bv_tree_node.lo bounding_volume.lo \
-	bounding_sphere.lo
-libORXcd_la_OBJECTS = $(am_libORXcd_la_OBJECTS)
+LIBRARIES = $(noinst_LIBRARIES)
+AR = ar
+ARFLAGS = cru
+libORXcd_a_AR = $(AR) $(ARFLAGS)
+libORXcd_a_LIBADD =
+am_libORXcd_a_OBJECTS = cd_engine.$(OBJEXT) collision.$(OBJEXT) \
+	obb.$(OBJEXT) obb_tree.$(OBJEXT) obb_tree_node.$(OBJEXT) \
+	bv_tree.$(OBJEXT) bv_tree_node.$(OBJEXT) \
+	bounding_volume.$(OBJEXT) bounding_sphere.$(OBJEXT)
+libORXcd_a_OBJECTS = $(am_libORXcd_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/bounding_sphere.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/bounding_volume.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/bv_tree.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/bv_tree_node.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/cd_engine.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/collision.Plo ./$(DEPDIR)/obb.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/obb_tree.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/obb_tree_node.Plo
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/bounding_sphere.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/bounding_volume.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/bv_tree.Po ./$(DEPDIR)/bv_tree_node.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/cd_engine.Po ./$(DEPDIR)/collision.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/obb.Po ./$(DEPDIR)/obb_tree.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/obb_tree_node.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libORXcd_la_SOURCES)
-DIST_SOURCES = $(libORXcd_la_SOURCES)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+SOURCES = $(libORXcd_a_SOURCES)
+DIST_SOURCES = $(libORXcd_a_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -86,5 +83,4 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
-AR = @AR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -99,5 +95,4 @@
 CURL_LIBS = @CURL_LIBS@
 CXX = @CXX@
-CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -111,5 +106,4 @@
 DOXYGEN_FALSE = @DOXYGEN_FALSE@
 DOXYGEN_TRUE = @DOXYGEN_TRUE@
-ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -117,6 +111,4 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
 GPROF = @GPROF@
 GTK2_CFLAGS = @GTK2_CFLAGS@
@@ -133,6 +125,4 @@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
@@ -154,8 +144,6 @@
 SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
 ac_ct_RANLIB = @ac_ct_RANLIB@
 ac_ct_STRIP = @ac_ct_STRIP@
@@ -200,14 +188,14 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-pkglib_LTLIBRARIES = libORXcd.la
-libORXcd_la_SOURCES = cd_engine.cc \
-                      collision.cc \
-		      obb.cc \
-                      obb_tree.cc \
-		      obb_tree_node.cc \
-                      bv_tree.cc \
-		      bv_tree_node.cc \
-		      bounding_volume.cc \
-		      bounding_sphere.cc
+noinst_LIBRARIES = libORXcd.a 
+libORXcd_a_SOURCES = cd_engine.cc \
+                     collision.cc \
+		     obb.cc \
+                     obb_tree.cc \
+		     obb_tree_node.cc \
+                     bv_tree.cc \
+		     bv_tree_node.cc \
+		     bounding_volume.cc \
+		     bounding_sphere.cc
 
 noinst_HEADERS = cd_engine.h \
@@ -226,5 +214,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .cc .lo .o .obj
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -236,7 +224,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -256,33 +244,11 @@
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
-	@$(NORMAL_INSTALL)
-	test -z "$(pkglibdir)" || $(mkdir_p) "$(DESTDIR)$(pkglibdir)"
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    f="`echo $$p | sed -e 's|^.*/||'`"; \
-	    echo " $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
-	    $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
-	  else :; fi; \
-	done
-
-uninstall-pkglibLTLIBRARIES:
-	@$(NORMAL_UNINSTALL)
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	    p="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
-	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
-	done
-
-clean-pkglibLTLIBRARIES:
-	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libORXcd.la: $(libORXcd_la_OBJECTS) $(libORXcd_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(pkglibdir) $(libORXcd_la_LDFLAGS) $(libORXcd_la_OBJECTS) $(libORXcd_la_LIBADD) $(LIBS)
+
+clean-noinstLIBRARIES:
+	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
+libORXcd.a: $(libORXcd_a_OBJECTS) $(libORXcd_a_DEPENDENCIES) 
+	-rm -f libORXcd.a
+	$(libORXcd_a_AR) libORXcd.a $(libORXcd_a_OBJECTS) $(libORXcd_a_LIBADD)
+	$(RANLIB) libORXcd.a
 
 mostlyclean-compile:
@@ -292,13 +258,13 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_sphere.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_volume.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree_node.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cd_engine.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb_tree.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb_tree_node.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_sphere.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_volume.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree_node.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cd_engine.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb_tree.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb_tree_node.Po@am__quote@
 
 .cc.o:
@@ -317,21 +283,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.cc.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
 uninstall-info-am:
 
@@ -413,9 +362,6 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(LTLIBRARIES) $(HEADERS)
+all-am: Makefile $(LIBRARIES) $(HEADERS)
 installdirs:
-	for dir in "$(DESTDIR)$(pkglibdir)"; do \
-	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
-	done
 install: install-am
 install-exec: install-exec-am
@@ -444,6 +390,5 @@
 clean: clean-am
 
-clean-am: clean-generic clean-libtool clean-pkglibLTLIBRARIES \
-	mostlyclean-am
+clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
 
 distclean: distclean-am
@@ -451,5 +396,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-am
@@ -465,5 +410,5 @@
 install-data-am:
 
-install-exec-am: install-pkglibLTLIBRARIES
+install-exec-am:
 
 install-info: install-info-am
@@ -480,6 +425,5 @@
 mostlyclean: mostlyclean-am
 
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
 
 pdf: pdf-am
@@ -491,18 +435,16 @@
 ps-am:
 
-uninstall-am: uninstall-info-am uninstall-pkglibLTLIBRARIES
+uninstall-am: uninstall-info-am
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libtool clean-pkglibLTLIBRARIES ctags distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-pkglibLTLIBRARIES install-strip installcheck \
+	clean-noinstLIBRARIES ctags distclean distclean-compile \
+	distclean-generic distclean-tags distdir dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-strip installcheck \
 	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags uninstall uninstall-am uninstall-info-am \
-	uninstall-pkglibLTLIBRARIES
+	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
+	uninstall-am uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am
